<template>
  <el-dialog
    :title="dialogVisible.title"
    :visible.sync="dialogVisible.visible"
    width="30%"
  >
    <span>确认要删除本记录吗</span>
    <span slot="footer" class="dialog-footer">
      <el-button @click="close">取 消</el-button>
      <el-button type="primary" @click="confirm">确 定</el-button>
    </span>
  </el-dialog>
</template>

<script>
export default {
  props: {
    dialogVisible: {
      type: Object,
      default: () => {}
    }
  },
  data() {
    return {}
  },
  methods: {
    confirm() {
      this.$emit('confirm')
    },
    close() {
      this.$emit('closed')
    }
  }
}
</script>

<style lang='less' scoped>

</style>
